<%@ page pageEncoding="utf-8" contentType="text/html;charset=utf-8" import="com.novell.webaccess.common.JSPConduit, com.novell.emframe.dev.eMFrameUtils" %>
<%   JSPConduit c = JSPConduit.getJSPConduit(request); 
   c.stringTable("DevResources"); 
   c.stringTable("NLSBrowseResources"); %>

<% try  { %><HTML>
<HEAD>
	<TITLE><%= c.string("InstallaLicense") %></TITLE>
	<LINK rel='stylesheet' href='<%= c.getModulesUrl() %>/dev/css/hf_style.css'>
<jsp:include page='<%= c.getPath("dev/eMFrameScripts_inc.jsp") %>' flush="true" />
<jsp:include page='<%= c.getPath("dev/OSScripts_inc.jsp") %>' flush="true" />
<script>
	function previousSelected()
	{
		var form = document.installLicenseForm
	    form.elements["merge"].value = form.elements["previousMerge"].value;
        form.elements["Task.NextState"].value = form.elements["previousState"].value;
        form.submit();
	}
	
    function nextSelected()
    {
        if(checkNullInput())
        {
            document.installLicenseForm.submit()
        }
    }

    function checkNullInput()
    {
        var strInput = document.installLicenseForm.installLocation.value
        if ((null == strInput) || (0 == strInput.length))
        {
            alert("<%= c.string("Enteralocationtoinstallthelicense") %>")
            return false;
        }
        return true;
    }
       
    function setFocus()
    {
        document.installLicenseForm.installLocation.focus()
    }

	function checkValidActivationKey()
	{
	    if(document.installLicenseForm.activationKeyText.value == "")
	    {
		    alert("<%= c.string("Pleaseenteravalidactivationkey") %>")
		    document.installLicenseForm.activationKeyText.focus()
	    }
	    else
	    {
		    document.installLicenseForm.submit()
	    }
	}
	
	function showErrors()
	{
		<% if (c.var("locationError").equals("") == false) { %>
			alert("<%= c.var("locationError") %>")
			return
		<% } else if (c.var("serverAssignmentError").equals("") == false) { %>
			alert("<%= c.var("serverAssignmentError") %>")
			return
		<% } else if (c.var("activationKeyError").equals("") == false) { %>
			alert("<%= c.var("activationKeyError") %>")
			return
		<% } %>
	}
    </script>
</HEAD>
<BODY onload="returnFromOS();showErrors()">
	<% c.set("TaskHeader.title", c.string("InstallaLicense")); 
	   c.set("TaskHeader.iconUrl", "dir/NLS_License_Certificate.gif");  
	   c.set("TaskHeader.iconAlt", c.string("License")); 
	   c.set("TaskHeader.helpFile", "nls/location.htm"); 
	   c.set("TaskHeader.HelpWindowWidth", "500"); 
	   c.set("TaskHeader.HelpWindowHeight", "500"); %>
	<jsp:include page='<%= c.getPath("dev/TaskHeader_inc.jsp") %>' flush="true" />
	<table width="100%" border=0 cellpadding=0 cellspacing=3>
		<tr>
			<td nowrap valign="top">
				<div class="mediumtext">
				<b><%= c.string("Installing") %></b>
				</div>
			</td>
			<td nowrap valign="top">
				<table cellpadding=0 cellspacing=0>
					<tr>
					<td>
				<div class="mediumtext">
				<%= c.var("installLicenseList") %>
				</div>
					</td>
					</tr>
				</table>
			</td>
			</div>
			</div>
		</tr>
		<tr><td colspan=3><br></td></tr>
	<form name="installLicenseForm" method=post action="webacc" onSubmit="return(checkNullInput())">
    <input type=hidden name="taskId" value="<%= c.var("taskId") %>">
    <input type=hidden name="merge" value="dev.GenConf">
    <input type=hidden name="error" value="dev.GenErr">
    <input type=hidden name="User.context" value="<%= c.var("User.context") %>">
    <input type=hidden name="Task.NextState" value="<%= c.var("Task.NextState") %>">
	<input type=hidden name="Task.SelectedButton" value="">
	<input type=hidden name="activationKeyNeeded" value="<%= c.var("activationKeyNeeded") %>">
	<input type=hidden name="serverAssignmentNeeded" value="<%= c.var("serverAssignmentNeeded") %>">
	<input type=hidden name="previousMerge" value="<%= c.var("previousMerge") %>">
	<input type=hidden name="previousState" value="<%= c.var("previousState") %>">
		<tr nowrap>
			<td colspan=3 class="mediumtext"><%= c.string("Location") %></td>
		</tr>
		<tr nowrap>
			<td colspan=3>
				<input type=text name="installLocation" value="<%= c.var("installLocation") %>" size=41>
				<% c.set("OS.TypeFilter", "Organization,Organizational Unit"); 
				   c.set("OS.Windowed", "true"); 
				   c.set("OS.Control", "installLocation"); %>
				<jsp:include page='<%= c.getPath("dev/OS_inc.jsp") %>' flush="true" />
				<br>
			</td>
		</tr>
	<% if (c.var("serverAssignmentNeeded").equals("true")) { %>
		<tr><td colspan=3><br></td></tr>		
	<jsp:include page='<%= c.getPath("nls/serverAssignmentForm_inc.jsp") %>' flush="true" />
	<% } 
	   if (c.var("activationKeyNeeded").equals("true")) { %>
		<tr><td colspan=3><br></td></tr>		
	<jsp:include page='<%= c.getPath("nls/activationKeyForm_inc.jsp") %>' flush="true" />
	<% } %>
		<tr><td colspan=3><br></td></tr>		
		<tr>
			<td colspan=3>
				<jsp:include page='<%= c.getPath("dev/Bar_inc.jsp") %>' flush="true" /> 
				<a href="javascript:previousSelected()"><img src="<%= c.getModulesUrl() + "/dev/images/" + c.string("Button.Back.image") %>" alt="<%= c.string("Button.Back.alt") %>" border=0></a>
				<a href="javascript:nextSelected()"> <img alt="<%= c.string("Button.Install.alt") %>" src="<%= c.getModulesUrl() + "/dev/images/" + c.string("Button.Install.image") %>" border=0></a>
				<jsp:include page='<%= c.getPath("dev/Cancel_inc.jsp") %>' flush="true" /> 
			</td>
		</tr>
	</table>
</form>
<jsp:include page='<%= c.getPath("dev/OSFooter_inc.jsp") %>' flush="true" />
</BODY></HTML> <% } catch (Exception e) { e.printStackTrace(); %>Exception occured processing JSP page<% } %>
