<%@ page pageEncoding="utf-8" contentType="text/html;charset=utf-8" import="com.novell.webaccess.common.JSPConduit, com.novell.emframe.dev.eMFrameUtils" %>
<%   JSPConduit c = JSPConduit.getJSPConduit(request); 
   c.stringTable("DevResources"); 
   c.stringTable("MeterResources"); %>

<% try  { %><HTML>
<HEAD>
	<TITLE><%= c.string("UsageReport") %></TITLE>
	<LINK rel='stylesheet' href='<%= c.getModulesUrl() %>/dev/css/hf_style.css'>
<jsp:include page='<%= c.getPath("dev/eMFrameScripts_inc.jsp") %>' flush="true" />
<jsp:include page='<%= c.getPath("dev/OSScripts_inc.jsp") %>' flush="true" />
<% c.set("MVStringEditor_mode", "mvsel"); %>
<jsp:include page='<%= c.getPath("dev/MVStringEditorScripts_inc.jsp") %>' flush="true" />
<script>	
	var dayOfWeek = new Array("<%= c.string("Sunday") %>", "<%= c.string("Monday") %>", "<%= c.string("Tuesday") %>", "<%= c.string("Wednesday") %>", "<%= c.string("Thursday") %>", "<%= c.string("Friday") %>", "<%= c.string("Saturday") %>")

    function nextSelected()
    {
        if(checkNullInput())
        {
            document.selectProductsForm.submit()
        }
    }
       
	function toggleCheckbox(offset)
	{
		var element = document.selectProductsForm.elements[offset + 5]
		element.checked = !element.checked
	}

	function disableAllServerSelection()
	{
		var form = document.selectProductsForm
		form.servers[0].checked = false
		form.servers[0].disabled = true
		form.servers[1].checked = true
		chooseServersSelected()
	}	
	
	function enableAllServerSelection()
	{
		var form = document.selectProductsForm
		form.servers[0].checked = true
		form.servers[1].checked = false
		allServersSelected()
	}
	
	
	function initPage()
	{
	<% if (c.var("meteringDisabled").equals("true")) { %>
		disableAllServerSelection()
	<% } else { %>
		enableAllServerSelection()
	<% } %>
		setDates()
	}
	
	function allServersSelected()
	{
		mvDisable("ServerList")
	}

	function chooseServersSelected()
	{
		mvEnable("ServerList")
	}
	
	function checkNullInput()
	{
		var form = document.selectProductsForm
		var numberOfInputs = form.elements.length
		var numberChecked = 0
		for(var i=0; i < numberOfInputs; i++)
		{
			if((form.elements[i].type == "checkbox") && (form.elements[i].name != "toggleAll"))
			{
				if(form.elements[i].checked)
				{
					numberChecked++
				}
			}
		}
		if(numberChecked <= 0)
		{
			alert("<%= c.string("Pleaseselectatleastoneproduct") %>")
			return false
		}
		
		form.selectedServers.value=mvGetValuesAsPack("ServerList");
		if(form.servers[1].checked)
		{
			var list = unpack(form.selectedServers.value)
			if(list.length == 0)
			{
				alert("<%= c.string("Pleaseselectatleastoneserver") %>")
				return false;
			}
		} 

		return ValidateDate()
	}

	function ValidateDate()
	{
		result = false
		
		form = document.selectProductsForm
		fromYear = form.fromYear.selectedIndex
		fromMonth = form.fromMonth.selectedIndex
		fromDate = form.fromDate.selectedIndex
		toYear = form.toYear.selectedIndex
		toMonth = form.toMonth.selectedIndex
		toDate = form.toDate.selectedIndex
		
		if(fromYear < toYear)
			return true
		if(fromYear == toYear)
		{
			if(fromMonth < toMonth)
				return true
			if(fromMonth == toMonth)
			{
				if(fromDate <= toDate)
					return true
			}
		}
		alert("<%= c.string("Pleaseenteravaliddaterange") %>")
		return false
	}
	
	function toggleAllCheckBoxes()
	{
		var form = document.selectProductsForm
		var numberOfInputs = form.elements.length
		var allCheck = form.toggleAll.checked;
		for(var i=0; i < numberOfInputs; i++)
		{
			if(form.elements[i].type == "checkbox")
			{
				form.elements[i].checked = allCheck
			}
		}
	}
	function setDates()
	{
		var currentDate = new Date()
		var monthIndex = currentDate.getMonth()
		var yearIndex = currentDate.getFullYear() - 2000
		var dateIndex = currentDate.getDate() - 1
		var dayIndex = currentDate.getDay()
		var form = document.selectProductsForm
		var yearOffset = 0
		var monthOffset = 0
		
		var fromMonthsBack = form.monthsFromEndDate.value
		if (fromMonthsBack < 0)
		{
			return
		}
		form.toDayOfWeek.value =  dayOfWeek[dayIndex]
		form.toMonth.selectedIndex = monthIndex
		form.toDate.selectedIndex = dateIndex
		form.toYear.selectedIndex = yearIndex
		changeToDates(0, form)
	
	
		if (fromMonthsBack > 12)
		{
			yearOffset = Math.floor(fromMonthsBack/12)
			monthOffset = fromMonthsBack % 12
		}
		else
		{
			yearOffset = 0
			monthOffset = fromMonthsBack
		}

	
		yearIndex = yearIndex - yearOffset; 

		if(yearIndex < 0)
		{
			yearIndex = 0
			monthIndex = 0
			dateIndex = 0
		}
		else
		{
			monthIndex = monthIndex - monthOffset;
			if(monthIndex < 0)
			{
				if(yearIndex > 0)
				{
					monthIndex = (monthIndex + 12) % 12
					yearIndex = yearIndex - 1
				}
				else
				{
					monthIndex = 0
					dateIndex = 0
				}
			}
		}
		form.fromDayOfWeek.value = dayOfWeek[dayIndex]
		form.fromMonth.selectedIndex = monthIndex
		form.fromDate.selectedIndex = dateIndex
		form.fromYear.selectedIndex = yearIndex
		changeFromDates(0, form)
		form.monthsFromEndDate.value = -1
	}
	
	function changeToDates(numb, dateForm)
	{
		mth = dateForm.toMonth.selectedIndex;
		sel = dateForm.toYear.selectedIndex;
		yr = dateForm.toYear.options[sel].text;
		if(numb != 1)
		{
			numDays = numDaysIn(mth,yr);
			dateForm.toDate.options.length = numDays;
			for (i=27;i<numDays;i++) 
			{
				dateForm.toDate.options[i].text = i+1;
			}
		}
		day = dateForm.toDate.selectedIndex+1;
		weekday = getWeekDay(mth,day,yr)
		dateForm.toDayOfWeek.value = dayOfWeek[weekday];
	}
	
	function changeFromDates(numb, dateForm)
	{
		mth = dateForm.fromMonth.selectedIndex;
		sel = dateForm.fromYear.selectedIndex;
		yr = dateForm.fromYear.options[sel].text;
		numDays = numDaysIn(mth,yr);
		dateForm.fromDate.options.length = numDays;
		for (i=27;i<numDays;i++) 
		{
			dateForm.fromDate.options[i].text = i+1;
		}
		day = dateForm.fromDate.selectedIndex+1;
		weekday = getWeekDay(mth,day,yr)
		dateForm.fromDayOfWeek.value = dayOfWeek[weekday];
	
	}

	function numDaysIn(mth,yr)
	{
		if (mth==3 || mth==5 || mth==8 || mth==10) return 30;
		else if ((mth==1) && leapYear(yr)) return 29;
		else if (mth==1) return 28;
		else return 31;
	}
	
	function leapYear(yr)
	{
		if (((yr % 4 == 0) && yr % 100 != 0) || yr % 400 == 0)
			return true;
		else
			return false;
	}
	
	function getWeekDay(mth,day,yr)
	{
		 first_day = firstDayOfYear(yr);
		 for (num=0;num<mth;num++)
		 {
			 first_day += numDaysIn(num,yr);
		 }
		 first_day += day-1;
		 return first_day%7;
	}

	function firstDayOfYear(yr)
	{
		diff = yr - 401;
		return parseInt((1 + diff + (diff / 4) - (diff / 100) + (diff / 400)) % 7)
	}
	
	function ValidateForm()
	{
		result = false
		
		form = document.selectProductsForm
		fromYear = form.fromYear.selectedIndex
		fromMonth = form.fromMonth.selectedIndex
		fromDate = form.fromDate.selectedIndex
		toYear = form.toYear.selectedIndex
		toMonth = form.toMonth.selectedIndex
		toDate = form.toDate.selectedIndex
		
		if(fromYear < toYear)
			return true
		if(fromYear == toYear)
		{
			if(fromMonth < toMonth)
				return true
			if(fromMonth == toMonth)
			{
				if(fromDate <= toDate)
					return true
			}
		}
		alert("{String Pleaseenteravaliddaterange}")
		return false
	}
</SCRIPT>
</HEAD>
<BODY onload="initPage()">
<form   name="selectProductsForm" method="post" action="webacc">
    <input type=hidden name="taskId" value="<%= c.var("taskId") %>">
    <input type=hidden name="merge" value="<%= c.var("merge") %>">
    <input type=hidden name="error" value="dev.GenErr">
    <input type=hidden name="User.context" value="<%= c.var("User.context") %>">
    <input type=hidden name="Task.NextState" value="<%= c.var("Task.NextState") %>">
	<input type=hidden name="monthsFromEndDate" value="<%= c.var("monthsFromEndDate") %>">
	<input type=hidden name="selectedServers" value = "">
<% c.set("TaskHeader.title", c.string("UsageReport")); 
   c.set("TaskHeader.helpFile", "nls/met_report.htm"); 
   c.set("TaskHeader.HelpWindowWidth", "500"); 
   c.set("TaskHeader.HelpWindowHeight", "500"); %>

<jsp:include page='<%= c.getPath("dev/TaskHeader_inc.jsp") %>' flush="true" />
	<table width="100%" border=0 cellpadding=0 cellspacing=0>
	<tr><td height="15"></td></tr>
	<tr class='formhead1'>
		<td nowrap colspan="2">
		<!-- States which server is the collector -->
			<%= c.string("SelectReportType") %> 
		</td>
	</tr>
	<tr>
		<td colspan="2">
			<input type="Radio" checked name="reportType" value="User"> <%= c.string("Userbased") %>
		</td>
	</tr>
	<tr>
		<td colspan="2">
			<input type="Radio" name="reportType" value="Nodal"> <%= c.string("Nodalbased") %>
		</td>
	</tr>
	<tr><td><BR></td></tr>
	<tr>
		<td colspan="2">
			<div class='formhead1'>
			<div style="text-indent: 0em; color: white; vertical-align: baseline">
				<input type='checkbox' name='toggleAll' onclick="toggleAllCheckBoxes()">
				<%= c.string("SelectProducts") %>
			</div>
			</div>
		</td>
	</tr> 
	<div class="mediumtext">
	<% c.set("i", "0"); 
	   while (c.lt(c.var("i"), c.var("products.length"))) { %>
	<tr>
		<td colspan=2>
		<input type="checkbox" name="productsChosen" value="<%= c.var("products.key."+c.var("i")) %>"> <%= c.var("products.value."+c.var("i")) %>
		</td>
	</tr>
	<% c.inc("i"); 
	   } %>
	</div>
	<tr><td><br></td></tr>
	<tr class='formhead1'>								
		<td colspan="2">
			<%= c.string("SelectServers") %>
		</td>
	</tr>
	<tr>
		<td colspan="2">
			<input type="Radio" checked name="servers" value="all" onclick="allServersSelected()"> <%= c.string("AllServers") %>
		</td>
	</tr>
	<tr>
		<td colspan="2">
			<input type="Radio" name="servers" value="select" onclick="chooseServersSelected()"> <%= c.string("ChooseServers") %>
		</td>
	</tr>
	<tr>
		<td style="padding-left: .25in" colspan="2">
			<% c.set("MVStringEditor_size", "4"); 
			   c.set("MVStringEditor_mode", "mvsel"); 
  			   c.set("MVStringEditor_objectTypeName", "NCP Server"); 
			   c.set("MVStringEditor_name", "ServerList"); 
			   c.set("MVStringEditor_width", "280"); 
			   c.set("MVStringEditor_history", "true"); %>
			<jsp:include page='<%= c.getPath("dev/MVStringEditor_inc.jsp") %>' flush="true" />			
		</td>
	</tr>
	<tr><td><br></td></tr>
	<tr>
		<td colspan="2">
			<div class='formhead1'>
			<div style="color: white; vertical-align: baseline">
			<%= c.string("Selectadaterange") %>
			</div>
			</div>
		</td>
	</tr>
	<tr><td><br></td></tr>
	<tr>
		<td width=80 align="right"><%= c.string("From") %> </td>  
		<td nowrap>
			<input type='text' name=fromDayOfWeek size=10 tabindex=-1 onFocus="this.blur()">
			<select name=fromMonth onChange='changeFromDates(0,this.form)' size=1>
				<option value='0'><%= c.string("January") %>
				<option value='1'><%= c.string("February") %>
				<option value='2'><%= c.string("March") %>
				<option value='3'><%= c.string("April") %>
				<option value='4'><%= c.string("May") %>
				<option value='5'><%= c.string("June") %>
				<option value='6'><%= c.string("July") %>
				<option value='7'><%= c.string("August") %>
				<option value='8'><%= c.string("September") %>
				<option value='9'><%= c.string("October") %>
				<option value='10'><%= c.string("November") %>
				<option value='11'><%= c.string("December") %>
			</select>
			<select name=fromDate onChange='changeFromDates(1,this.form)' size=1>
				<option>1
				<option>2
				<option>3
				<option>4
				<option>5
				<option>6
				<option>7
				<option>8
				<option>9
				<option>10
				<option>11
				<option>12
				<option>13
				<option>14
				<option>15
				<option>16
				<option>17
				<option>18
				<option>19
				<option>20
				<option>21
				<option>22
				<option>23
				<option>24
				<option>25
				<option>26
				<option>27
				<option>28
				<option>29
				<option>30
				<option>31
			</select>
			<select name=fromYear onChange='changeFromDates(0,this.form)' size=1>
				<option>2000
				<option>2001
				<option>2002
				<option>2003
				<option>2004
				<option>2005
				<option>2006
				<option>2007
				<option>2008
				<option>2009
				<option>2010
			</select>
		</td>
	</tr>
	<tr>
		<!-- <td width=80><DIV class='indent'>To: </DIV></td> -->
		<td width=80 align="right"><%= c.string("To") %> </td>  
		<td>
			<input type='text' name=toDayOfWeek size=10 tabindex=-1 onFocus="this.blur()">
			<select name=toMonth onChange='changeToDates(0,this.form)' size=1>
				<option value='0'><%= c.string("January") %>
				<option value='1'><%= c.string("February") %>
				<option value='2'><%= c.string("March") %>
				<option value='3'><%= c.string("April") %>
				<option value='4'><%= c.string("May") %>
				<option value='5'><%= c.string("June") %>
				<option value='6'><%= c.string("July") %>
				<option value='7'><%= c.string("August") %>
				<option value='8'><%= c.string("September") %>
				<option value='9'><%= c.string("October") %>
				<option value='10'><%= c.string("November") %>
				<option value='11'><%= c.string("December") %>
			</select>
			<select name=toDate size=1 onChange='changeToDates(1,this.form)'>
				<option>1
				<option>2
				<option>3
				<option>4
				<option>5
				<option>6
				<option>7
				<option>8
				<option>9
				<option>10
				<option>11
				<option>12
				<option>13
				<option>14
				<option>15
				<option>16
				<option>17
				<option>18
				<option>19
				<option>20
				<option>21
				<option>22
				<option>23
				<option>24
				<option>25
				<option>26
				<option>27
				<option>28
				<option>29
				<option>30
				<option>31
			</select>
			<select name=toYear onChange='changeToDates(0,this.form)' size=1>
				<option>2000
				<option>2001
				<option>2002
				<option>2003
				<option>2004
				<option>2005
				<option>2006
				<option>2007
				<option>2008
				<option>2009
				<option>2010
			</select>
		</td>
	</tr> 
	<tr>
		<td colspan=2>
			<br>
			<jsp:include page='<%= c.getPath("dev/Bar_inc.jsp") %>' flush="true" />
			<a href="javascript:nextSelected()"> <img alt="<%= c.string("Button.OK.alt") %>" src="<%= c.getModulesUrl() + "/dev/images/" + c.string("Button.OK.image") %>" border=0></a>
			<jsp:include page='<%= c.getPath("dev/Cancel_inc.jsp") %>' flush="true" />
		</td>
	</tr>
	</table>
</form>
</BODY>
</HTML> <% } catch (Exception e) { e.printStackTrace(); %>Exception occured processing JSP page<% } %>
