<%@ page pageEncoding="utf-8" contentType="text/html;charset=utf-8" import="com.novell.webaccess.common.JSPConduit, com.novell.emframe.dev.eMFrameUtils" %>
<%   JSPConduit c = JSPConduit.getJSPConduit(request); 
   c.stringTable("DevResources"); 
   c.stringTable("MeterResources"); %>

<% try  { %><HTML>
<head>
	<TITLE><%= c.string("ConfigServer") %></TITLE>
	<LINK rel='stylesheet' href='<%= c.getModulesUrl() %>/dev/css/hf_style.css'>
<jsp:include page='<%= c.getPath("dev/eMFrameScripts_inc.jsp") %>' flush="true" />
<jsp:include page='<%= c.getPath("dev/OSScripts_inc.jsp") %>' flush="true" />
<SCRIPT LANGUAGE=JavaScript>
var advancedWindow = null
var IPDisabled = false
var IPXDisabled = false
 
function InitForm()
{
	var form = document.usageConfigForm	
<% if (c.var("advertiseSAP").equals("-1")) { %>
	form.advertiseSAPCheck.disabled = true
	form.IPXChoice[0].disabled = true
	form.IPXChoice[1].disabled = true
	form.ipxSocketIn.disabled = true
	form.ipxSocketOut.disabled = true
	IPXDisabled = true
<% } else if (c.var("advertiseSAP").equals("1")) { %>
	form.advertiseSAPCheck.checked = true
<% } 

   if (c.var("advertiseSLP").equals("-1")) { %>
	form.advertiseSLPCheck.disabled = true
	form.IPChoice[0].disabled = true
	form.IPChoice[1].disabled = true
	form.ipPortIn.disabled = true
	form.ipPortOut.disabled = true
	IPDisabled = true
<% } else if (c.var("advertiseSLP").equals("1")) { %>
	form.advertiseSLPCheck.checked = true
<% } 

   if (c.var("ipxSocketIn").equals("0") && c.var("ipxSocketOut").equals("0")) { %>
	form.IPXChoice[0].checked = true
	dynIPXClick()
<% } else { %>
	form.IPXChoice[1].checked = true
	statIPXClick()
<% } 

   if (c.var("ipPortIn").equals("0") && c.var("ipPortOut").equals("0")) { %>
	form.IPChoice[0].checked = true
	dynIPClick()
<% } else { %>
	form.IPChoice[1].checked = true
	statIPClick()
<% } 

   if (c.var("configUpdated").equals("true")) { %>
	self.status = "<%= c.string("Configurationupdatesuccessful") %>"
<% } else { %>
	self.status = ""
	<% } %>
}

function IsAPositiveNumber(number)
{
	var result = false
	var anum=/(^\d+$)/
	if (anum.test(number) && (number >= 0))
	{
		result = true
	}
	return result
}

function IsAHexNumber(number)
{
	var result = false
	var anum=/(^(\d|[abcdef]|[ABCDEF])+$)/
	if (anum.test(number))
	{
		result = true
	}
	return result
}

function ValidateForm()
{
	var form = document.usageConfigForm
	
	if((form.advertiseSAPCheck.checked == false) &&
		(form.advertiseSLPCheck.checked == false))
	{
		alert("<%= c.string("Pleaseselectatleastoneadvertisingoption") %>");
		return false;
	}
	if(IPXDisabled)
	{
		form.advertiseSAP.value="disabled"
	}
	else
	{
		form.advertiseSAP.value = "false"
		if(form.advertiseSAPCheck.checked)
		{
			form.advertiseSAP.value = "true"
		}
		if(form.IPXChoice[0].checked)
		{
			form.ipxSocketIn.value = 0
			form.ipxSocketOut.value = 0
		}
		else
		{
			if(form.ipxSocketIn.value == form.ipxSocketOut.value)
			{
				alert("<%= c.string("IPXequalerror") %>")
				return false;
			}
			if(!IsAHexNumber(form.ipxSocketIn.value))
			{
				alert("<%= c.string("IPXlisteninvalid") %>")
				return false
			}
			if(!IsAHexNumber(form.ipxSocketOut.value))
			{
				alert("<%= c.string("IPXsendinvalid") %>")
				return false
			}
		}
	}
	if(IPDisabled)
	{
		form.advertiseSLP.value="disabled"
	}
	else
	{
		form.advertiseSLP.value = "false"
		if(form.advertiseSLPCheck.checked)
		{
			form.advertiseSLP.value = "true"
		}
		if(form.IPChoice[0].checked)
		{
			form.ipPortIn.value = 0
			form.ipPortOut.value = 0
		}
		else
		{
			if(form.ipPortIn.value == form.ipPortOut.value)
			{
				alert("<%= c.string("IPequalerror") %>")
				return false;
			}
			if(!IsAPositiveNumber(form.ipPortIn.value) || (form.ipPortIn.value > 65535))
			{
				alert("<%= c.string("IPlisteninvalid") %>")
				return false
			}
			if(!IsAPositiveNumber(form.ipPortOut.value) || (form.ipPortOut.value > 65535))
			{
				alert("<%= c.string("IPsendinvalid") %>")
				return false
			}
		}
	}
	return true
}

function saveSelected()
{
	if(ValidateForm())
	{
		document.usageConfigForm.submit()
	}
}


function resetSelected()
{
	var form = document.usageConfigForm
	form.elements["Task.NextState"].value = "ResetConfig"
	document.usageConfigForm.submit()
}


function advancedSelected()
{
	loadingAdvancedWindow = true
	if((advancedWindow != null) && (advancedWindow.open) && (!advancedWindow.closed))
	{
		advancedWindow.self.focus()
	}
	else
	{
		var windowOptions = "toolbar=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=yes,width=740,height=500"
		advancedWindow = window.open("webacc?taskId=Product_Metering_Configuration.Advanced_Config&User.context=<%= c.var("User.context") %>&onComplete=close&nextState=initialState&newInstance=true&serverName=<%= c.var("serverName") %>","advanced", windowOptions)
	}
	loadingAdvancedWindow = false
}

function dynIPXClick()
{
	statIPX.style.visibility='hidden'
}

function statIPXClick()
{
	statIPX.style.visibility='visible'
}

function dynIPClick()
{
	statIP.style.visibility='hidden'
}

function statIPClick()
{
	statIP.style.visibility='visible'
}

</SCRIPT>
	
</head>
<body onload='InitForm()'>
<% c.set("TaskHeader.title", c.var("title")); 
   c.set("TaskHeader.helpFile", "nls/met_cfg_server.htm"); 
   c.set("TaskHeader.HelpWindowWidth", "500"); 
   c.set("TaskHeader.HelpWindowHeight", "500"); %>
<jsp:include page='<%= c.getPath("dev/TaskHeader_inc.jsp") %>' flush="true" />

<form name='usageConfigForm' method='post' action='webacc' onSubmit='return ValidateForm()'>
    <input type=hidden name="taskId" value="<%= c.var("taskId") %>">
    <input type=hidden name="merge" value="nls.serverConfig">
    <input type=hidden name="error" value="dev.GenErr">
    <input type=hidden name="User.context" value="<%= c.var("User.context") %>">
    <input type=hidden name="Task.NextState" value="SetConfig">
	<input type=hidden name="advertiseSLP" value="">
	<input type=hidden name="advertiseSAP" value="">
	
<table Border='0' width='100%'>
	<tr class='tablesubhead1'>
		<td nowrap colspan=2><%= c.string("Advertising") %></td>
	</tr>
	<tr><td><input type='checkbox' name='advertiseSLPCheck' value='1'>&nbsp; SLP</td></tr>
	<tr><td><input type='checkbox' name='advertiseSAPCheck' value='1'>&nbsp; SAP</td></tr>
	<tr><td><br></td></tr>
	<tr class='tablesubhead1'>
		<td nowrap colspan=2><%= c.string("IPports") %></td>
	</tr>
	<tr>
		<td>
		<table border=0>	
			<tr><td>
				<div class='indent'><input type='radio' name='IPChoice' onclick='dynIPClick()'><%= c.string("dynamic") %></div>
			</td></tr>
			<tr nowrap>
				<td>
					<div class='indent'><input type='radio' name='IPChoice' onclick='statIPClick()'><%= c.string("static") %></div>
				</td>
				<td id='statIP'>
					<table border=0>	
						<tr nowrap>
							<td>&nbsp &nbsp &nbsp <%= c.string("listen") %> <input type='text' size=5 maxlength=5 name='ipPortIn' value="<%= c.var("ipPortIn") %>"></td>
							<td>&nbsp &nbsp <%= c.string("send") %> <input type='text' size=5 maxlength=5 name='ipPortOut' value="<%= c.var("ipPortOut") %>"></td>					
						</tr>
					</table>
				</td>
			</tr>
		</table>
		</td>
	</tr>
	<tr><td><br></td></tr>
	<tr class='tablesubhead1'>
		<td nowrap colspan=2><%= c.string("IPXsockets") %></td>
	</tr>
	<tr>
		<td>
		<table border=0>	
			<tr><td>
				<div class='indent'><input type='radio' name='IPXChoice' onclick='dynIPXClick()'><%= c.string("dynamic") %></div>
			</td></tr>
			<tr nowrap>
				<td>
					<div class='indent'><input type='radio' name='IPXChoice' onclick='statIPXClick()'><%= c.string("static") %></div>
				</td>
				<td id='statIPX'>
					<table border=0>	
						<tr nowrap>
							<td>&nbsp &nbsp &nbsp <%= c.string("listen") %> <input type='text' size=4 maxlength=4 name='ipxSocketIn' value="<%= c.var("ipxSocketIn") %>"></td>
							<td>&nbsp &nbsp <%= c.string("send") %> <input type='text' size=4 maxlength=4 name='ipxSocketOut' value="<%= c.var("ipxSocketOut") %>"></td>					
						</tr>
					</table>
				</td>
			</tr>
		</table>
		</td>
	</tr>
	<tr>
		<td>
			<jsp:include page='<%= c.getPath("dev/Bar_inc.jsp") %>' flush="true" />
			<a href="javascript:saveSelected()"> <img alt="<%= c.string("Button.Save.alt") %>" src="<%= c.getModulesUrl() + "/dev/images/" + c.string("Button.Save.image") %>" border=0></a>
			<a href="javascript:resetSelected()"> <img alt="<%= c.string("Button.Reset.alt") %>" src="<%= c.getModulesUrl() + "/dev/images/" + c.string("Button.Reset.image") %>" border=0></a>
			<a href="javascript:advancedSelected()"> <img alt="<%= c.string("Button.Advanced.alt") %>" src="<%= c.getModulesUrl() + "/dev/images/" + c.string("Button.Advanced.image") %>" border=0></a>
			<jsp:include page='<%= c.getPath("dev/Cancel_inc.jsp") %>' flush="true" />
		</td>
	</tr>
</table>
</form>
</body>
</HTML> <% } catch (Exception e) { e.printStackTrace(); %>Exception occured processing JSP page<% } %>
