<%@ page pageEncoding="utf-8" contentType="text/html;charset=utf-8" import="com.novell.webaccess.common.JSPConduit, com.novell.emframe.dev.eMFrameUtils" %>
<%   JSPConduit c = JSPConduit.getJSPConduit(request); 
   c.stringTable("DevResources"); 
   c.stringTable("MeterResources"); %>

<% try  { %><HTML>
<head>
	<TITLE><%= c.string("MeterServiceConfiguration") %></TITLE>
	<LINK rel='stylesheet' href='<%= c.getModulesUrl() %>/dev/css/hf_style.css'>
	<LINK REL=stylesheet TYPE='text/css' HREF='/SYS/LOGIN/HF_style.css'>
<jsp:include page='<%= c.getPath("dev/eMFrameScripts_inc.jsp") %>' flush="true" />
<jsp:include page='<%= c.getPath("dev/OSScripts_inc.jsp") %>' flush="true" />
<SCRIPT LANGUAGE=JavaScript>
var isEnabled = false;
function InitForm()
{
	var form = document.usageConfigForm
	
	form.setMaster[0].checked = false;
	enableCollector(false)

	form.enrollDayOfWeek.selectedIndex = form.enrDayOfWeekVal.value
	form.enrollHourOfDay.selectedIndex = form.enrHourOfDayVal.value
	form.enrollMinInHour.selectedIndex = form.enrMinInHourVal.value
	
<% if (c.var("enrollTimeSelected").equals("true")) { %>
	form.enrollChoice[0].checked = true
	EnrTimeClick()
<% } else { %>
	form.enrollChoice[1].checked = true
	EnrIntervalClick()
<% } 

   if (c.var("advertiseSAP").equals("true")) { %>
	form.advertiseSAP.checked = true
<% } 
   if (c.var("advertiseSLP").equals("true")) { %>
	form.advertiseSLP.checked = true
<% } 

   if (c.var("ipxSocketIn").equals("0") && c.var("ipxSocketOut").equals("0")) { %>
	form.IPXChoice[0].checked = true
	dynIPXClick()
<% } else { %>
	form.IPXChoice[1].checked = true
	statIPXClick()
<% } 

   if (c.var("ipPortIn").equals("0") && c.var("ipPortOut").equals("0")) { %>
	form.IPChoice[0].checked = true
	dynIPClick()
<% } else { %>
	form.IPChoice[1].checked = true
	statIPClick()
<% } 

   if (c.var("configUpdated").equals("true")) { %>
	self.status = "<%= c.string("Configurationupdatesuccessful") %>"
<% } else { %>
	self.status = ""
	<% } %>
}

function EnrTimeClick()
{
	document.getElementById('enrTimeHide').style.visibility = 'visible'
	document.getElementById('enrIntervalHide').style.visibility = 'hidden'
}

function EnrIntervalClick()
{
	document.getElementById('enrTimeHide').style.visibility = 'hidden'
	document.getElementById('enrIntervalHide').style.visibility = 'visible'
}

function IsAPositiveNumber(number)
{
	var result = false
	var anum=/(^\d+$)/
	if (anum.test(number) && (number >= 0))
	{
		result = true
	}
	return result
}

function IsAHexNumber(number)
{
	var result = false
	var anum=/(^(\d|[abcdef]|[ABCDEF])+$)/
	if (anum.test(number))
	{
		result = true
	}
	return result
}

function ValidateForm()
{
	var form = document.usageConfigForm
	var days = form.enrollDays.value
	var hours = form.enrollHours.value
	var total = (days * 24) + (hours * 1)
		
	
	if((form.enrollChoice[1].checked) && ((total < 1) || (total > 720)))
	{
		alert("<%= c.string("enrollintervalerror") %>")
		return false
	}


	if(!IsAPositiveNumber(form.defDateRange.value))
	{
		alert("<%= c.string("daterangeerror") %>")
		return false
	}

	if((form.advertiseSAP.checked == false) &&
		(form.advertiseSLP.checked == false))
	{
		alert("<%= c.string("Pleaseselectatleastoneadvertisingoption") %>");
		return false;
	}
	
	if(form.IPXChoice[0].checked)
	{
		form.ipxSocketIn.value = 0
		form.ipxSocketOut.value = 0
	}
	else
	{
		if(form.ipxSocketIn.value == form.ipxSocketOut.value)
		{
			alert("<%= c.string("IPXequalerror") %>")
			return false;
		}
		if(!IsAHexNumber(form.ipxSocketIn.value))
		{
			alert("<%= c.string("IPXlisteninvalid") %>")
			return false
		}
		if(!IsAHexNumber(form.ipxSocketOut.value))
		{
			alert("<%= c.string("IPXsendinvalid") %>")
			return false
		}
	}
	if(form.IPChoice[0].checked)
	{
		form.ipPortIn.value = 0
		form.ipPortOut.value = 0
	}
	else
	{
		if(form.ipPortIn.value == form.ipPortOut.value)
		{
			alert("<%= c.string("IPequalerror") %>")
			return false;
		}
		if(!IsAPositiveNumber(form.ipPortIn.value) || (form.ipPortIn.value > 65535))
		{
			alert("<%= c.string("IPlisteninvalid") %>")
			return false
		}
		if(!IsAPositiveNumber(form.ipPortOut.value) || (form.ipPortOut.value > 65535))
		{
			alert("<%= c.string("IPsendinvalid") %>")
			return false
		}
	}

	return true
}

function saveSelected()
{
	if(ValidateForm())
	{
		document.usageConfigForm.submit()
	}
}

function dynIPXClick()
{
	document.getElementById('statIPX').style.visibility='hidden'
}

function statIPXClick()
{
	document.getElementById('statIPX').style.visibility='visible'
}

function dynIPClick()
{
	document.getElementById('statIP').style.visibility='hidden'
}

function statIPClick()
{
	document.getElementById('statIP').style.visibility='visible'
}

function enableCollector(enable)
{
	document.usageConfigForm.serverName.disabled = !enable
	isEnabled = enable
}

function isCollectorEnabled(controlName)
{
	return isEnabled;
}
</SCRIPT>
	
</head>

<body onload='returnFromOS();InitForm()'>
<% c.set("TaskHeader.title", c.string("MeterServiceConfiguration")); 
   c.set("TaskHeader.helpFile", "nls/met_cfg_svc.htm"); 
   c.set("TaskHeader.HelpWindowWidth", "500"); 
   c.set("TaskHeader.HelpWindowHeight", "500"); %>
<jsp:include page='<%= c.getPath("dev/TaskHeader_inc.jsp") %>' flush="true" />

<form name='usageConfigForm' method='post' action='webacc' onSubmit='return ValidateForm()'>
    <input type=hidden name="taskId" value="<%= c.var("taskId") %>">
    <input type=hidden name="merge" value="nls.meterConfig">
    <input type=hidden name="error" value="dev.GenErr">
    <input type=hidden name="User.context" value="<%= c.var("User.context") %>">
    <input type=hidden name="Task.NextState" value="SetConfig">
	<input type=hidden name=migDayOfWeekVal value=<%= c.var("migrateDay") %>>
	<input type=hidden name=migHourOfDayVal value=<%= c.var("migrateHour") %>>
	<input type=hidden name=migMinInHourVal value=<%= c.var("migrateMin") %>>
	<input type=hidden name=enrDayOfWeekVal value=<%= c.var("enrollDay") %>>
	<input type=hidden name=enrHourOfDayVal value=<%= c.var("enrollHour") %>>
	<input type=hidden name=enrMinInHourVal value=<%= c.var("enrollMin") %>>
<table Border='0' width='100%'>
<% if (c.var("currentNCPServer") != null) { %>
	<tr>
		<td nowrap align=left>
			<div class="smalltext">
			<%= c.formatMessage(c.string("serviceConnectedTo"), new String[]{c.var("currentNCPServer")}) %>
			</div>
		</td>
	</tr>
	<tr><td><br></td></tr>
<% } %>	

	<tr class='tablesubhead1'>
		<td nowrap>
		<!-- States which server is the collector -->
			<%= c.var("currentServer") %> 
		</td>
	</tr>
	<tr>
		<td>
			<input type="Radio" name="setMaster" value="on" onclick="enableCollector(true)"> <%= c.string("setcollector") %>
			<input type=text name="serverName" value="" size=25>
    		<% c.set("OS.TypeFilter", "NCP Server"); 
    		   c.set("OS.Control", "serverName"); 
			   c.set("OS.Windowed", "true"); 
			   c.set("OS.IsOSAllowed", "isCollectorEnabled"); 
			   c.set("OS.History", "true"); %>
    		<jsp:include page='<%= c.getPath("dev/OS_inc.jsp") %>' flush="true" />			
		</td>
	</tr>
	<tr>
		<td>
			<input type="Radio" name="setMaster" value="off" onclick="enableCollector(false)"> <%= c.string("disablecollection") %>
		</td>
	</tr>
	<tr><td><br></td></tr>
	<tr class='tablesubhead1'>
		<td>
			<%= c.string("enrollheader") %>
		</td>
	</tr>
	<tr>
		<td>
			<table border=0>	
				<tr>
					<td>
						<div class='indent'>
							<input type='radio' name='enrollChoice' value='time' onclick='EnrTimeClick()'> <%= c.string("onceeveryweek") %>
						</div>
					</td>
					<td id='enrTimeHide'>
						<table border=0>
							<tr nowrap>
								<td>
									<div class='indent'>
										<select name='enrollDayOfWeek' size=1>
											<option value='0'><%= c.string("Sunday") %>
											<option value='1'><%= c.string("Monday") %>
											<option value='2'><%= c.string("Tuesday") %>
											<option value='3'><%= c.string("Wednesday") %>
											<option value='4'><%= c.string("Thursday") %>
											<option value='5'><%= c.string("Friday") %>
											<option value='6'><%= c.string("Saturday") %>
										</select>
									</div>
								</td>
								<td>
									<%= c.string("at") %>
								</td>
								<td>
									<select name=enrollHourOfDay size=1>
										<option>0
										<option>1
										<option>2
										<option>3
										<option>4
										<option>5
										<option>6
										<option>7
										<option>8
										<option>9
										<option>10
										<option>11
										<option>12
										<option>13
										<option>14
										<option>15
										<option>16
										<option>17
										<option>18
										<option>19
										<option>20
										<option>21
										<option>22
										<option>23
									</select>
								</td>
								<td>:</td>
								<td>
									<select name=enrollMinInHour size=1>
										<option>00		
										<option>01
										<option>02
										<option>03
										<option>04
										<option>05
										<option>06
										<option>07
										<option>08
										<option>09
										<option>10
										<option>11
										<option>12
										<option>13
										<option>14
										<option>15
										<option>16
										<option>17
										<option>18
										<option>19
										<option>20
										<option>21
										<option>22
										<option>23
										<option>24
										<option>25
										<option>26
										<option>27
										<option>28
										<option>29
										<option>30
										<option>31
										<option>32
										<option>33
										<option>34
										<option>35
										<option>36
										<option>37
										<option>38
										<option>39
										<option>40
										<option>41
										<option>42
										<option>43
										<option>44
										<option>45
										<option>46
										<option>47
										<option>48
										<option>49
										<option>50
										<option>51
										<option>52
										<option>53
										<option>54
										<option>55
										<option>56
										<option>57
										<option>58
										<option>59
									</select>
								</td>
							</tr>
						</table>
					</td>
					</div>
				</tr>
				<tr nowrap>
					<td>
						<div class='indent'>
							<input type='radio' name='enrollChoice' value='interval' onclick='EnrIntervalClick()'> <%= c.string("everytimeinterval") %>
						</div>
					</td>
					<td id='enrIntervalHide'>
						<table>
							<tr>
								<td>
									<div class='indent'>
										<input type='text' align='right' size=2 maxlength=3 name='enrollDays' value='<%= c.var("enrollDays") %>'>
									</div>
								</td>
								<td>
									<%= c.string("days") %>&nbsp&nbsp
								</td>
								<td>					
									<input type='text' align='right' size=2 maxlength=3 name='enrollHours' value='<%= c.var("enrollHours") %>'>
								</td>
								<td>
									<%= c.string("hours") %>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>		
	<tr><td><br></td></tr>
	<tr class='tablesubhead1'>
		<td nowrap colspan=2><%= c.string("Advertisingall") %></td>
	</tr>
	<tr><td><input type='checkbox' name='advertiseSLP' value='true'>&nbsp; SLP</td></tr>
	<tr><td><input type='checkbox' name='advertiseSAP' value='true'>&nbsp; SAP</td></tr>
	<tr><td><br></td></tr>
	<tr class='tablesubhead1'>
		<td nowrap colspan=2><%= c.string("IPportsall") %></td>
	</tr>
	<tr>
		<td>
		<table border=0>	
			<tr><td>
				<div class='indent'><input type='radio' name='IPChoice' onclick='dynIPClick()'><%= c.string("dynamic") %></div>
			</td></tr>
			<tr nowrap>
				<td>
					<div class='indent'><input type='radio' name='IPChoice' onclick='statIPClick()'><%= c.string("static") %></div>
				</td>
				<td id='statIP'>
					<table border=0>	
						<tr nowrap>
							<td>&nbsp &nbsp &nbsp <%= c.string("listen") %> <input type='text' size=5 maxlength=5 name='ipPortIn' value="<%= c.var("ipPortIn") %>"></td>
							<td>&nbsp &nbsp <%= c.string("send") %> <input type='text' size=5 maxlength=5 name='ipPortOut' value="<%= c.var("ipPortOut") %>"></td>					
						</tr>
					</table>
				</td>
			</tr>
		</table>
		</td>
	</tr>
	<tr><td><br></td></tr>
	<tr class='tablesubhead1'>
		<td nowrap colspan=2><%= c.string("IPXsocketsall") %></td>
	</tr>
	<tr>
		<td>
		<table border=0>	
			<tr><td>
				<div class='indent'><input type='radio' name='IPXChoice' onclick='dynIPXClick()'><%= c.string("dynamic") %></div>
			</td></tr>
			<tr nowrap>
				<td>
					<div class='indent'><input type='radio' name='IPXChoice' onclick='statIPXClick()'><%= c.string("static") %></div>
				</td>
				<td id='statIPX'>
					<table border=0>	
						<tr nowrap>
							<td>&nbsp &nbsp &nbsp <%= c.string("listen") %> <input type='text' size=4 maxlength=4 name='ipxSocketIn' value="<%= c.var("ipxSocketIn") %>"></td>
							<td>&nbsp &nbsp <%= c.string("send") %> <input type='text' size=4 maxlength=4 name='ipxSocketOut' value="<%= c.var("ipxSocketOut") %>"></td>					
						</tr>
					</table>
				</td>
			</tr>
		</table>
		</td>
	</tr>
	<tr><td><br></td></tr>
	<tr class='tablesubhead1'>
		<td nowrap align=left>
			<%= c.string("Defaultdaterangeheader") %>
		</td>
	</tr>
	<tr>
		<td>
			<div class='indent'>
			<div style='position: right;'>	
				<input type='text' size=2 maxlength=3 name='defDateRange' value=<%= c.var("defDateRange") %>> <%= c.string("months") %>
			</div>
			</div>
		</td>								
	</tr>
<!--	<tr align='right'> -->
	<tr>
		<td>
			<br>
			<jsp:include page='<%= c.getPath("dev/Bar_inc.jsp") %>' flush="true" />
			<a href="javascript:saveSelected()"> <img alt="<%= c.string("Button.Save.alt") %>" src="<%= c.getModulesUrl() + "/dev/images/" + c.string("Button.Save.image") %>" border=0></a>
			<jsp:include page='<%= c.getPath("dev/Cancel_inc.jsp") %>' flush="true" />
		</td>
	</tr>
</table>
</form>
<jsp:include page='<%= c.getPath("dev/OSFooter_inc.jsp") %>' flush="true" />
</body>
</HTML> <% } catch (Exception e) { e.printStackTrace(); %>Exception occured processing JSP page<% } %>
